Rekamedika Docs
OAuth2 OIDC

POST /oauth2/register

POST
/api/auth/oauth2/register

Register an OAuth2 application

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

redirect_uris*array<string>

A list of redirect URIs. Eg: ["https://client.example.com/callback"]

token_endpoint_auth_method?string

The authentication method for the token endpoint. Eg: "client_secret_basic"

Default"client_secret_basic"

Value in

  • "none"
  • "client_secret_basic"
  • "client_secret_post"
grant_types?array<>

The grant types supported by the application. Eg: ["authorization_code"]

Default

[  "authorization_code"]
response_types?array<>

The response types supported by the application. Eg: ["code"]

Default

[  "code"]
client_name?string

The name of the application. Eg: "My App"

client_uri?string

The URI of the application. Eg: "https://client.example.com"

logo_uri?string

The URI of the application logo. Eg: "https://client.example.com/logo.png"

scope?string

The scopes supported by the application. Separated by spaces. Eg: "profile email"

contacts?array<string>

The contact information for the application. Eg: ["admin@example.com"]

tos_uri?string

The URI of the application terms of service. Eg: "https://client.example.com/tos"

policy_uri?string

The URI of the application privacy policy. Eg: "https://client.example.com/policy"

jwks_uri?string

The URI of the application JWKS. Eg: "https://client.example.com/jwks"

jwks?

The JWKS of the application. Eg: {"keys": [{"kty": "RSA", "alg": "RS256", "use": "sig", "n": "...", "e": "..."}]}

metadata?

The metadata of the application. Eg: {"key": "value"}

software_id?string

The software ID of the application. Eg: "my-software"

software_version?string

The software version of the application. Eg: "1.0.0"

software_statement?string

The software statement of the application.

Response Body

application/json

curl -X POST "https://example.com/api/auth/oauth2/register" \  -H "Content-Type: application/json" \  -d '{    "redirect_uris": [      "string"    ]  }'
{  "name": "string",  "icon": "string",  "metadata": {},  "clientId": "string",  "clientSecret": "string",  "redirectURLs": [    "http://example.com"  ],  "type": "web",  "authenticationScheme": "client_secret",  "disabled": false,  "userId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Is this page helpful?